/* ============================================================================================= */
/*          UNIVERSITAT JAUME I - DEPARTAMENTO DE INGENIERÍA Y CIENCIA DE LOS COMPUTADORES       */
/*                            CURSO 'IoT CON ARDUINO Y ROBOT BUM'                                */
/*                   (c) 2017 Germán León, Raul Marín y José Vicente Martí                       */
/*                                                                                               */
/*                     Ejercicio 1: Capturando la activación de un pulsador                      */
/*                                                                                               */
/* ============================================================================================= */

// Definimos las entradas y salidas a emplear
#define PULSADOR ??   // Número de pin al que está conectado el pulsador

// Inicializamos variables globales
int pulsado = 0;      // Variable para leer el estado del pulsador
                      // El valor '0' indica que SÍ está pulsado
                      // El valor '1' indica que NO está pulsado

// Realizamos la configuración inicial
void setup() {
  Serial.begin(9600);                                     // Activamos el puerto serie
  Serial.println("Ejercicio 1: Estado del pulsador");     // Mostramos mensaje inicial
  pinMode(????????, ?????);                               // Configuramos el pin del pulsador como entrada
}

// Lanzamos el programa
void loop() {
  pulsado = digitalRead(????????);     // Leemos el estado del pulsador
  if (pulsado) // No pulsado
  {
    Serial.println("SUELTO");          // Enviamos mensaje
  }
  else
  {
    Serial.println("PULSADO");         // Enviamos mensaje
  }
  delay(500);                          // Introducimos un retardo
}
