/* ============================================================================================= */
/*          UNIVERSITAT JAUME I - DEPARTAMENTO DE INGENIERÍA Y CIENCIA DE LOS COMPUTADORES       */
/*                            CURSO 'IoT CON ARDUINO Y ROBOT BUM'                                */
/*                   (c) 2017 Germán León, Raul Marín y José Vicente Martí                       */
/*                                                                                               */
/*                         Ejercicio 2: Activando un LED con un pulsador                         */
/*                                                                                               */
/* ============================================================================================= */

// Definimos las entradas y salidas a emplear
#define PULSADOR ??   // Pin en el que está conectado el pulsador
#define LED ?         // Pin correspondiente al color rojo del LED

// Inicializamos las variables globales
int pulsado = 0;      // Para leer el estado del pulsador
                      // El valor '0' indica que SÍ está pulsado
                      // El valor '1' indica que NO está pulsado

// Realizamos la configuración inicial
void setup() {
  Serial.begin(9600);              // Activamos el puerto serie
  Serial.println("Ejercicio 2: Activación LED con pulsador");     // Mostramos mensaje inicial
  pinMode(???????, ??????);        // Configuramos el pin del pulsador como entrada
  pinMode(???????, ??????);             // Configuramos el pin del LED rojo como salida
}

// Lanzamos el programa
void loop() {
  pulsado = digitalRead(????????);   // Leemos el estado del pulsador
  if (pulsado) // No pulsado
  {
    Serial.println("APAGADO");      // Enviamos mensaje
    digitalWrite(??????, ??????);        // Apagamos el LED
  }
  else
  {
    Serial.println("ENCENDIDO");    // Enviamos mensaje
    digitalWrite(???????, ??????);      // Encendemos el LED
  }
  delay(500);                       // Insertamos un retardo
}
