/* ============================================================================================= */
/*          UNIVERSITAT JAUME I - DEPARTAMENTO DE INGENIERÍA Y CIENCIA DE LOS COMPUTADORES       */
/*                            CURSO 'IoT CON ARDUINO Y ROBOT BUM'                                */
/*                   (c) 2017 Germán León, Raul Marín y José Vicente Martí                       */
/*                                                                                               */
/*                   Ejercicio 5: Cambio suave de intensidad luminosa del LED con PWM            */
/*                                                                                               */
/* ============================================================================================= */

// Definimos las entradas y salidas a emplear
#define PULSADOR ??   // El pulsador está conectado al pin 13
#define LEDR ?        // El LED de color rojo está conectado al pin 8

// Definimos las variables globales
int pulsado = 0;      // Para leer el estado del pulsador
int intensidad = 0;   // Nivel luminoso del LED

// Realizamos la configuración inicial
void setup() {
  Serial.begin(9600);              // Activamos el puerto serie
  Serial.println("Ejercicio 5: Cambio de intensidad progresivo");     // Mostramos mensaje inicial
  Serial.println("Pulsa para iniciar el ciclo");
  pinMode(????????, ?????);        // Configuramos el pin del pulsador como entrada
  pinMode(????, ?????);            // Configuramos el pin del LED rojo como salida
}

// Lanzamos el programa
void loop() {

  pulsado = digitalRead(????????);    // Lee estado del pulsador
  if (!pulsado)                       // Si está pulsado
  {
    do                                // Espera a que soltemos el pulsador
    {
      ??????? = digitalRead(???????); // Lee estado del pulsador
      delay(??);                      // Retardo de 50 ms
    }
    while (!pulsado);                 // Hasta que se suelte el pulsador

    Serial.println("Aumentando...");
    for (intensidad = ??????; intensidad > ?; intensidad--)
    {
      analogWrite(????, ???????????);  // Establece nivel luminoso del LED
      delay(??);                       // Introduce un retardo de 10 ms
    }
    Serial.println("Maxima");
    Serial.println("Disminuyendo");
    for (intensidad = ?; intensidad < ????; intensidad++)
    {
      analogWrite(????, ???????????);  // Establece nivel luminoso del LED
      delay(??);                       // Introduce un retardo de 10 ms
    }
    Serial.println("Apagado");
    Serial.println("Pulsa para iniciar el ciclo");
  }
  delay(100);                      // Inserta un retardo de 100 ms
}
